/*****************************************************
This program was produced by the
CodeWizardAVR V1.25.8 Professional
Automatic Program Generator
 Copyright 1998-2007 Pavel Haiduc, HP InfoTech s.r.l.
http://www.hpinfotech.com

Project : 
Version : 
Date    : 5/4/2008
Author  : F4CG                            
Company : F4CG                            
Comments: 


Chip type           : ATmega16
Program type        : Application
Clock frequency     : 8.000000 MHz
Memory model        : Small
External SRAM size  : 0
Data Stack size     : 256
*****************************************************/

// CodeVisionAVR C Compiler
// (C) 1998-2001 Pavel Haiduc, HP InfoTech S.R.L.

// I/O registers definitions for the ATmega16


#pragma used+
#pragma used+
sfrb TWBR=0;
sfrb TWSR=1;
sfrb TWAR=2;
sfrb TWDR=3;
sfrb ADCL=4;
sfrb ADCH=5;
sfrw ADCW=4;      // 16 bit access
sfrb ADCSRA=6;
sfrb ADMUX=7;
sfrb ACSR=8;
sfrb UBRRL=9;
sfrb UCSRB=0xa;
sfrb UCSRA=0xb;
sfrb UDR=0xc;
sfrb SPCR=0xd;
sfrb SPSR=0xe;
sfrb SPDR=0xf;
sfrb PIND=0x10;
sfrb DDRD=0x11;
sfrb PORTD=0x12;
sfrb PINC=0x13;
sfrb DDRC=0x14;
sfrb PORTC=0x15;
sfrb PINB=0x16;
sfrb DDRB=0x17;
sfrb PORTB=0x18;
sfrb PINA=0x19;
sfrb DDRA=0x1a;
sfrb PORTA=0x1b;
sfrb EECR=0x1c;
sfrb EEDR=0x1d;
sfrb EEARL=0x1e;
sfrb EEARH=0x1f;
sfrw EEAR=0x1e;   // 16 bit access
sfrb UBRRH=0x20;
sfrb UCSRC=0X20;
sfrb WDTCR=0x21;
sfrb ASSR=0x22;
sfrb OCR2=0x23;
sfrb TCNT2=0x24;
sfrb TCCR2=0x25;
sfrb ICR1L=0x26;
sfrb ICR1H=0x27;
sfrb OCR1BL=0x28;
sfrb OCR1BH=0x29;
sfrw OCR1B=0x28;  // 16 bit access
sfrb OCR1AL=0x2a;
sfrb OCR1AH=0x2b;
sfrw OCR1A=0x2a;  // 16 bit access
sfrb TCNT1L=0x2c;
sfrb TCNT1H=0x2d;
sfrw TCNT1=0x2c;  // 16 bit access
sfrb TCCR1B=0x2e;
sfrb TCCR1A=0x2f;
sfrb SFIOR=0x30;
sfrb OSCCAL=0x31;
sfrb OCDR=0x31;
sfrb TCNT0=0x32;
sfrb TCCR0=0x33;
sfrb MCUCSR=0x34;
sfrb MCUCR=0x35;
sfrb TWCR=0x36;
sfrb SPMCR=0x37;
sfrb TIFR=0x38;
sfrb TIMSK=0x39;
sfrb GIFR=0x3a;
sfrb GICR=0x3b;
sfrb OCR0=0X3c;
sfrb SPL=0x3d;
sfrb SPH=0x3e;
sfrb SREG=0x3f;
#pragma used-

// Interrupt vectors definitions


// Needed by the power management functions (sleep.h)
#asm
	#ifndef __SLEEP_DEFINED__
	#define __SLEEP_DEFINED__
	.EQU __se_bit=0x40
	.EQU __sm_mask=0xB0
	.EQU __sm_powerdown=0x20
	.EQU __sm_powersave=0x30
	.EQU __sm_standby=0xA0
	.EQU __sm_ext_standby=0xB0
	.EQU __sm_adc_noise_red=0x10
	.SET power_ctrl_reg=mcucr
	#endif
#endasm


// CodeVisionAVR C Compiler
// (C) 1998-2000 Pavel Haiduc, HP InfoTech S.R.L.


#pragma used+
#pragma used+

void delay_us(unsigned int n);
void delay_ms(unsigned int n);

#pragma used-

/*
---------------------  www.eca.ir  ---------------------
	Graphic Lcd KS0108 controller Library
*/

// CodeVisionAVR C Compiler
// (C) 1998-2000 Pavel Haiduc, HP InfoTech S.R.L.





flash char FontLookup [91][6] =
flash char FontLookup [91][6] =
flash char FontLookup [91][6] =
flash char FontLookup [91][6] =
{
    { 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 },   // sp
    { 0x00, 0x00, 0x5F, 0x00, 0x00, 0x00 },   // !
    { 0x00, 0x00, 0x5F, 0x00, 0x00, 0x00 },   // "
    { 0x14, 0x7F, 0x14, 0x7F, 0x14, 0x00 },   // #
    { 0x24, 0x2A, 0x7F, 0x2A, 0x12, 0x00 },   // $
    { 0x23, 0x13, 0x08, 0x64, 0x62, 0x00 },   // %
    { 0x36, 0x49, 0x55, 0x22, 0x50, 0x00 },   // &
    { 0x00, 0x05, 0x03, 0x00, 0x00, 0x00 },   // '
    { 0x00, 0x1C, 0x22, 0x41, 0x00, 0x00 },   // (
    { 0x00, 0x41, 0x22, 0x1C, 0x00, 0x00 },   // )
    { 0x08, 0x2A, 0x1C, 0x2A, 0x08, 0x00 },   // *
    { 0x08, 0x08, 0x3E, 0x08, 0x08, 0x00 },   // +
    { 0x00, 0x50, 0x30, 0x00, 0x00, 0x00 },   // ,
    { 0x08, 0x08, 0x08, 0x08, 0x08, 0x00 },   // -
    { 0x00, 0x30, 0x30, 0x00, 0x00, 0x00 },   // .
    { 0x20, 0x10, 0x08, 0x04, 0x02, 0x00 },   // /
    { 0x3E, 0x51, 0x49, 0x45, 0x3E, 0x00 },   // 0
    { 0x00, 0x42, 0x7F, 0x40, 0x00, 0x00 },   // 1
    { 0x42, 0x61, 0x51, 0x49, 0x46, 0x00 },   // 2
    { 0x21, 0x41, 0x45, 0x4B, 0x31, 0x00 },   // 3
    { 0x18, 0x14, 0x12, 0x7F, 0x10, 0x00 },   // 4
    { 0x27, 0x45, 0x45, 0x45, 0x39, 0x00 },   // 5
    { 0x3C, 0x4A, 0x49, 0x49, 0x30, 0x00 },   // 6
    { 0x01, 0x71, 0x09, 0x05, 0x03, 0x00 },   // 7
    { 0x36, 0x49, 0x49, 0x49, 0x36, 0x00 },   // 8
    { 0x06, 0x49, 0x49, 0x29, 0x1E, 0x00 },   // 9
    { 0x00, 0x36, 0x36, 0x00, 0x00, 0x00 },   // :
    { 0x00, 0x56, 0x36, 0x00, 0x00, 0x00 },   // ;
    { 0x00, 0x08, 0x14, 0x22, 0x41, 0x00 },   // <
    { 0x14, 0x14, 0x14, 0x14, 0x14, 0x00 },   // =
    { 0x41, 0x22, 0x14, 0x08, 0x00, 0x00 },   // >
    { 0x02, 0x01, 0x51, 0x09, 0x06, 0x00 },   // ?
    { 0x32, 0x49, 0x79, 0x41, 0x3E, 0x00 },   // @
    { 0x7E, 0x11, 0x11, 0x11, 0x7E, 0x00 },   // A
    { 0x7F, 0x49, 0x49, 0x49, 0x36, 0x00 },   // B
    { 0x3E, 0x41, 0x41, 0x41, 0x22, 0x00 },   // C
    { 0x7F, 0x41, 0x41, 0x22, 0x1C, 0x00 },   // D
    { 0x7F, 0x49, 0x49, 0x49, 0x41, 0x00 },   // E
    { 0x7F, 0x09, 0x09, 0x01, 0x01, 0x00 },   // F
    { 0x3E, 0x41, 0x41, 0x51, 0x32, 0x00 },   // G
    { 0x7F, 0x08, 0x08, 0x08, 0x7F, 0x00 },   // H
    { 0x00, 0x41, 0x7F, 0x41, 0x00, 0x00 },   // I
    { 0x20, 0x40, 0x41, 0x3F, 0x01, 0x00 },   // J
    { 0x7F, 0x08, 0x14, 0x22, 0x41, 0x00 },   // K
    { 0x7F, 0x40, 0x40, 0x40, 0x40, 0x00 },   // L
    { 0x7F, 0x02, 0x04, 0x02, 0x7F, 0x00 },   // M
    { 0x7F, 0x04, 0x08, 0x10, 0x7F, 0x00 },   // N
    { 0x3E, 0x41, 0x41, 0x41, 0x3E, 0x00 },   // O
    { 0x7F, 0x09, 0x09, 0x09, 0x06, 0x00 },   // P
    { 0x3E, 0x41, 0x51, 0x21, 0x5E, 0x00 },   // Q
    { 0x7F, 0x09, 0x19, 0x29, 0x46, 0x00 },   // R
    { 0x46, 0x49, 0x49, 0x49, 0x31, 0x00 },   // S
    { 0x01, 0x01, 0x7F, 0x01, 0x01, 0x00 },   // T
    { 0x3F, 0x40, 0x40, 0x40, 0x3F, 0x00 },   // U
    { 0x1F, 0x20, 0x40, 0x20, 0x1F, 0x00 },   // V
    { 0x7F, 0x20, 0x18, 0x20, 0x7F, 0x00 },   // W
    { 0x63, 0x14, 0x08, 0x14, 0x63, 0x00 },   // X
    { 0x03, 0x04, 0x78, 0x04, 0x03, 0x00 },   // Y
    { 0x61, 0x51, 0x49, 0x45, 0x43, 0x00 },   // Z
    { 0x00, 0x00, 0x7F, 0x41, 0x41, 0x00 },   // [
    { 0x02, 0x04, 0x08, 0x10, 0x20, 0x00 },   // 55
    { 0x41, 0x41, 0x7F, 0x00, 0x00, 0x00 },   // ]
    { 0x04, 0x02, 0x01, 0x02, 0x04, 0x00 },   // ^
    { 0x40, 0x40, 0x40, 0x40, 0x40, 0x00 },   // _
    { 0x00, 0x01, 0x02, 0x04, 0x00, 0x00 },   // '
    { 0x20, 0x54, 0x54, 0x54, 0x78, 0x00 },   // a
    { 0x7F, 0x48, 0x44, 0x44, 0x38, 0x00 },   // b
    { 0x38, 0x44, 0x44, 0x44, 0x20, 0x00 },   // c
    { 0x38, 0x44, 0x44, 0x48, 0x7F, 0x00 },   // d
    { 0x38, 0x54, 0x54, 0x54, 0x18, 0x00 },   // e
    { 0x08, 0x7E, 0x09, 0x01, 0x02, 0x00 },   // f
    { 0x08, 0x14, 0x54, 0x54, 0x3C, 0x00 },   // g
    { 0x7F, 0x08, 0x04, 0x04, 0x78, 0x00 },   // h
    { 0x00, 0x44, 0x7D, 0x40, 0x00, 0x00 },   // i
    { 0x20, 0x40, 0x44, 0x3D, 0x00, 0x00 },   // j
    { 0x00, 0x7F, 0x10, 0x28, 0x44, 0x00 },   // k
    { 0x00, 0x41, 0x7F, 0x40, 0x00, 0x00 },   // l
    { 0x7C, 0x04, 0x18, 0x04, 0x78, 0x00 },   // m
    { 0x7C, 0x08, 0x04, 0x04, 0x78, 0x00 },   // n
    { 0x38, 0x44, 0x44, 0x44, 0x38, 0x00 },   // o
    { 0x7C, 0x14, 0x14, 0x14, 0x08, 0x00 },   // p
    { 0x08, 0x14, 0x14, 0x18, 0x7C, 0x00 },   // q
    { 0x7C, 0x08, 0x04, 0x04, 0x08, 0x00 },   // r
    { 0x48, 0x54, 0x54, 0x54, 0x20, 0x00 },   // s
    { 0x04, 0x3F, 0x44, 0x40, 0x20, 0x00 },   // t
    { 0x3C, 0x40, 0x40, 0x20, 0x7C, 0x00 },   // u
    { 0x1C, 0x20, 0x40, 0x20, 0x1C, 0x00 },   // v
    { 0x3C, 0x40, 0x30, 0x40, 0x3C, 0x00 },   // w
    { 0x44, 0x28, 0x10, 0x28, 0x44, 0x00 },   // x
    { 0x0C, 0x50, 0x50, 0x50, 0x3C, 0x00 },   // y
    { 0x44, 0x64, 0x54, 0x4C, 0x44, 0x00 }    // z
};

//------------------------------------ Definitions ------------------------------------
	
// Default Port definition
	
	
	
	 
	
	
	//---------------------------------------------------------------------------------------

//---------------------------------- LCD's methods ---------------------------------
            
inline void write_right(unsigned char x )
{     
	PORTC.3	= 0;
   	PORTC.4	= 1;
   	delay_us(1);
  	PORTD	= x;
    	PORTC.2	= 1;
    	delay_us (1);
    	PORTC.2	= 0;
    	PORTC.3	= 0;
    	PORTC.4	= 0;
}

inline void write_left(unsigned char x)
{                
	PORTC.3	= 1;
 	PORTC.4	= 0;
  	delay_us(1);
   	PORTD	= x;
    	PORTC.2	= 1;
    	delay_us (1);
	PORTC.2	= 0;
 	PORTC.3	= 0;
  	PORTC.4	= 0;
}     
inline void address_right(int x,int y)
{
	PORTC.0 = 0;
	write_right(x);
	write_right(y);
}


inline void address_left(int x,int y)
{
	PORTC.0 = 0;
	write_left(x);
	write_left(y);
}      

            
//---------------------------------------------------------------------------------------
//------------------------------------ Functions ------------------------------------
// Initialize Graphic LCD
void glcd_Init()
{
	int i=0,com[4] = {0xc0,0xb8, 0x40, 0x3f};
	
	PORTC.0 = 0;
	while(i<4)
	{
		write_left(com[i]);
		i++;
	}
	i=0;
	while(i<4)
	{
		write_right(com[i]);
		i++;
	}
} 

// Write a byte in Row x{0..7} and Column y{0..127}
void glcd_WriteByte(unsigned char x, unsigned char y, unsigned char data)
{            
	//unsigned char j;
	
	if(y<64) // Left
	{
		address_left(((x|0b10111000)&0b10111111)
					,((y|0b01000000)&0b01111111));
		PORTC.0 = 1;
		write_left(data);   		
	 } 		
	else	// Right
	{                   
		y -= 64;
		address_right(((x|0b10111000)&0b10111111)
					,((y|0b01000000)&0b01111111));
		PORTC.0 = 1;
		write_right(data);
	}
}
// Clear Lcd screen
void glcd_Clear()
{
        unsigned char page[8]={0xb8,0xb9,0xba,0xbb,0xbc,0xbd,0xbe,0xbf };
        int i=0,j=0,index=0;
	for(i = 0;i<8;i++)
		for(j=0;j<128;j++)
	        {
	         	glcd_WriteByte(i,j,0);	
	        }
 /*       while(index<1024)
        {    
                address_left(page[i],0x40);   
                RS=1;
                for(j=0;j<64;j++)
                {
                        write_left(0);
                        index++;
                }
                address_right(page[i],0x40);
                RS=1;
                for(j=0;j<64;j++)
                {
                        write_right(0);
                        index++;
                }  
                i++;
        } */
}


// Drawing a pattern that is stored in FLASH memory
void glcd_DrawF(flash unsigned char Pat[])
{              
	unsigned char i,j;
	unsigned int k=0;
	
	for( i= 0; i<8; i++)
		for( j =0; j<128; j++)
	 		glcd_WriteByte(i,j,Pat[k++]);
}

// Drawing a pattern that is stored in SRAM memory
void glcd_Draw(unsigned char Pat[])
{              
	unsigned char i,j;
	unsigned int k=0;
	
	for( i= 0; i<8; i++)
		for( j =0; j<128; j++)
	 		glcd_WriteByte(i,j,Pat[k++]);
}

// Drawing a pattern that is stored in FLASH memory from dot[x,y] until width w and Height h 
void glcd_DrawBmpF(flash unsigned char Pat[],
			unsigned char x, unsigned char y,
			unsigned char h,unsigned char w)
{
	unsigned char i,j;
	unsigned int k=0;

	for( i= 0 ; i<h; i++)
		for( j =0 ; j<w; j++)
		{
			k = i*128+j;
			glcd_WriteByte(i,j,Pat[k]);
	 	}
}

// Drawing a pattern that is stored in SRAM memory with start point[x,y] until width w and Height h 
void glcd_DrawBmp(unsigned char Pat[],
			unsigned char x, unsigned char y,
			unsigned char h,unsigned char w)
{
	unsigned char i,j;
	unsigned int k=0;

	for( i= x ; i<x+h; i++)
		for( j =y ; j<y+w; j++)
		{
			k = (unsigned int)(i-x)*(unsigned int)w+(unsigned int)(j-y);
			glcd_WriteByte(i,j,Pat[k]);
	 	}
}

// Put a charachter in point[x,y]
void glcd_Putchar(unsigned char x, unsigned char y,unsigned char ch)
{       
        unsigned char i; 
        ch-=32;
        for(i=0;i<6;i++)
	{
	        glcd_WriteByte(x,y,FontLookup[ch][i]);
        	y++;
	};

      }
//---------------------------------------------------------------------------------------

// Put a string Text in LCD with start point[x,y]
void glcd_Printf(unsigned char x, unsigned char y,char* str)
{
        while (*str )
        {       
                
                glcd_Putchar(x,y,*str++ );
                y+=6;
        }
}


// Bitmaps
flash unsigned char  pat1[1024] = {
255,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1, 
   1,  1,  1,  1,  1,129,129,129,129,129,  1,  1,  1,  1,  1,  1, 
   1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1, 
   1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1, 
   1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1, 
   1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1, 
   1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1, 
   1,  1,  1,  1,  1,  1,129,  1,  1,  1,  1,  1,  1,  1,  1,255, 
 255,  0,  0,  0,  0,  0,  0,  0,  0,128,192,224,240,120, 56, 28, 
  30, 14, 15,  7,  7,131,131,195,195,193,  0,  0,  0,  0,  0,  0, 
   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,128,  0,  0, 
   0,  0, 64, 64,192,192, 64,112,112,112, 80, 72, 72,104,112, 64, 
  64,112, 96,112, 80, 72, 72,104,112, 64, 72, 72, 72, 40, 25, 56, 
  72, 72, 64, 66,114,  0,  0,  0,  0,192,  0,  0, 16,  0,  0, 16, 
 224, 64, 64, 64, 48, 72, 88,112, 64, 64, 72, 72,104, 40, 24,104, 
  72, 64, 64, 90, 32,  0,127,  0,  0,  0,  0,  0,  0,  0,  0,255, 
 255,  0,  0,  0,128,224,248,254,255,111, 35,  1,128,192,240,248, 
 252, 60, 30, 15, 15,  7,  7,131,131,131,128,128,128,128,128,  0, 
   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  3,  6, 
   4,  4,  6,  2,  2,  1,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 
   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 
   0,  0,  0,  0,  0,  0,  0,  0,  0,  1,  2,  6,  4,  4,  4,  2, 
   1,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  1,  0,  0, 
   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,255, 
 255,  0,  0,252,255,255,255,255,  3,  0,224,254,255,255,  7,  1, 
   0,  0,240,252,190,143,135,131,131,129,129,129,129,131,131,135, 
 143,158,252,248,192,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 
   0,  0, 96,208, 16, 16,  8,  0,128,  0,  0, 32,  0,  0,  0,  0, 
 128,128,128,  0,  0,  0,  0,  0,128,  0,  0,  0, 32,128, 32, 32, 
 208, 16, 16,  8,  0,248,  0,  0,248,  0,  0,  0,  0,  0,  0,128, 
 128,128,  0,  0,  0,  0,  0,  0,  0,  0,128,176,176,128,  0,  0, 
   0,  0,  0,128,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,255, 
 255,  0,  0, 63,255,255,255,255,192,  0,  7,127,255,255,224,128, 
   0,  0, 15, 63,125,241,225,  1,  1,  1,  1,  1,  1,  1,  1,225, 
 241,121, 63, 31,  3,  0,  0,  0,  0,  0,  0,  2,  4,  4,  4,  4, 
   4,  4,  4,  5,  3,  4,  4, 20,  7, 20,  4,  4,  7,  0, 32, 32, 
  19, 26, 15,  0, 64, 32, 48, 16, 13,  6,  4,  4,  4,  3,  4,  4, 
   4,  7,  6,  4,  4,  6,  3,  0,  7,  0,  0,  0,  0, 32, 49, 18, 
  10,  7,  0,  0,  0,  0,  4, 26, 16, 16, 17, 18, 26, 15,  0, 96, 
  32, 48, 24, 15,  6,  4,  4, 20,  7,  0,  0,  0,  0,  0,  0,255, 
 255,  0,  0,  0,  1,  7, 31,127,255,246,196,128,  1,  3, 15, 31, 
  63, 60,120,240,240,224,224,192,192,192,  0,  0,  0,  0,  0,  0, 
   0,  0,128,  0,  0,  0,  0,128,128,  0,  0,  0,128,  0,  0,128, 
   0,  0,  0,  0,128,128,  0,  0,  0,128,  0,  0,128,  0,  0,  0, 
   0,128,128,  0,  0,  0,128,  0,  0,  0,  0,  0,  0,128,128,128, 
 128,128,128,128,  0,  0,  0,  0,128,128,128,128,128,  0,  0,  0, 
   0,  0,  0,128,128,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,128, 
 128,  0,  0,  0,128,128,128,128,128,128,  0,  0,  0,  0,  0,255, 
 255,  0,  0,  0,  0,  0,  0,  0,  0,  1,  3,  7, 15, 30, 28, 56, 
 120,112,240,224,224,193,193,195,195,131,  0,  0,  0,  0,  0,  0, 
   0,  0,  1, 62,192,224, 30,  1, 15,248,128,124,  7,  0,  0,  3, 
  62,192,224, 30,  1, 15,248,128,124,  7,  0,  0,  3,126,128,224, 
  30,  0, 15,240,128,126,  3,  0,  0,  0,  0,  0,  0,255,255, 24, 
  24, 24, 24, 24,  0,  0,  0,255,129,  0,  0,  0,129,195,  0,  0, 
   0,224, 60, 35, 35, 62,224,  0,  0,  0,  0,  0,  0,  0,  0,255, 
 255,  0,  0,  0,255, 24, 24, 24, 56,201,135,  0,  0,  0,  0,255, 
 255,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128, 
 128,128,128,128,128,129,129,129,129,129,128,128,128,128,128,128, 
 128,128,128,128,131,131,128,128,128,129,131,128,128,128,128,128, 
 128,131,131,128,128,128,129,131,128,128,128,128,128,128,131,129, 
 128,128,128,129,131,128,128,128,128,131,128,128,128,131,131,131, 
 131,131,131,131,128,128,128,128,129,131,131,131,129,128,128,128, 
 131,129,128,128,128,128,128,131,128,128,128,131,128,128,128,131, 
 131,128,128,128,131,128,128,128,128,128,131,130,128,128,128,255 
};

flash unsigned char  pat2[1024] = {     
   0,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254, 
 254,254,254,254,254,126,126,126,126,126,254,254,254,254,254,254, 
 254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254, 
 254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254, 
 254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254, 
 254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254, 
 254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254, 
 254,254,254,254,254,254,126,254,254,254,254,254,254,254,254,  0, 
   0,255,255,255,255,255,255,255,255,127, 63, 31, 15,135,199,227, 
 225,241,240,248,248,124,124, 60, 60, 62,255,255,255,255,255,255, 
 255,255,255,255,255,255,255,255,255,255,255,255,255,127,255,255, 
 255,255,191,191, 63, 63,191,143,143,143,175,183,183,151,143,191, 
 191,143,159,143,175,183,183,151,143,191,183,183,183,215,230,199, 
 183,183,191,189,141,255,255,255,255, 63,255,255,239,255,255,239, 
  31,191,191,191,207,183,167,143,191,191,183,183,151,215,231,151, 
 183,191,191,165,223,255,128,255,255,255,255,255,255,255,255,  0, 
   0,255,255,255,127, 31,  7,  1,  0,144,220,254,127, 63, 15,  7, 
   3,195,225,240,240,248,248,124,124,124,127,127,127,127,127,255, 
 255,255,255,255,255,255,255,255,255,255,255,255,255,255,252,249, 
 251,251,249,253,253,254,255,255,255,255,255,255,255,255,255,255, 
 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255, 
 255,255,255,255,255,255,255,255,255,254,253,249,251,251,251,253, 
 254,255,255,255,255,255,255,255,255,255,255,255,255,254,255,255, 
 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,  0, 
   0,255,255,  3,  0,  0,  0,  0,252,255, 31,  1,  0,  0,248,254, 
 255,255, 15,  3, 65,112,120,124,124,126,126,126,126,124,124,120, 
 112, 97,  3,  7, 63,255,255,255,255,255,255,255,255,255,255,255, 
 255,255,159, 47,239,239,247,255,127,255,255,223,255,255,255,255, 
 127,127,127,255,255,255,255,255,127,255,255,255,223,127,223,223, 
  47,239,239,247,255,  7,255,255,  7,255,255,255,255,255,255,127, 
 127,127,255,255,255,255,255,255,255,255,127, 79, 79,127,255,255, 
 255,255,255,127,255,255,255,255,255,255,255,255,255,255,255,  0, 
   0,255,255,192,  0,  0,  0,  0, 63,255,248,128,  0,  0, 31,127, 
 255,255,240,192,130, 14, 30,254,254,254,254,254,254,254,254, 30, 
  14,134,192,224,252,255,255,255,255,255,255,253,251,251,251,251, 
 251,251,251,250,252,251,251,235,248,235,251,251,248,255,223,223, 
 236,229,240,255,191,223,207,239,242,249,251,251,251,252,251,251, 
 251,248,249,251,251,249,252,255,248,255,255,255,255,223,206,237, 
 245,248,255,255,255,255,251,229,239,239,238,237,229,240,255,159, 
 223,207,231,240,249,251,251,235,248,255,255,255,255,255,255,  0, 
   0,255,255,255,254,248,224,128,  0,  9, 59,127,254,252,240,224, 
 192,195,135, 15, 15, 31, 31, 63, 63, 63,255,255,255,255,255,255, 
 255,255,127,255,255,255,255,127,127,255,255,255,127,255,255,127, 
 255,255,255,255,127,127,255,255,255,127,255,255,127,255,255,255, 
 255,127,127,255,255,255,127,255,255,255,255,255,255,127,127,127, 
 127,127,127,127,255,255,255,255,127,127,127,127,127,255,255,255, 
 255,255,255,127,127,255,255,255,255,255,255,255,255,255,255,127, 
 127,255,255,255,127,127,127,127,127,127,255,255,255,255,255,  0, 
   0,255,255,255,255,255,255,255,255,254,252,248,240,225,227,199, 
 135,143, 15, 31, 31, 62, 62, 60, 60,124,255,255,255,255,255,255, 
 255,255,254,193, 63, 31,225,254,240,  7,127,131,248,255,255,252, 
 193, 63, 31,225,254,240,  7,127,131,248,255,255,252,129,127, 31, 
 225,255,240, 15,127,129,252,255,255,255,255,255,255,  0,  0,231, 
 231,231,231,231,255,255,255,  0,126,255,255,255,126, 60,255,255, 
 255, 31,195,220,220,193, 31,255,255,255,255,255,255,255,255,  0, 
   0,255,255,255,  0,231,231,231,199, 54,120,255,255,255,255,  0, 
   0,127,127,127,127,127,127,127,127,127,127,127,127,127,127,127, 
 127,127,127,127,127,126,126,126,126,126,127,127,127,127,127,127, 
 127,127,127,127,124,124,127,127,127,126,124,127,127,127,127,127, 
 127,124,124,127,127,127,126,124,127,127,127,127,127,127,124,126, 
 127,127,127,126,124,127,127,127,127,124,127,127,127,124,124,124, 
 124,124,124,124,127,127,127,127,126,124,124,124,126,127,127,127, 
 124,126,127,127,127,127,127,124,127,127,127,124,127,127,127,124, 
 124,127,127,127,124,127,127,127,127,127,124,125,127,127,127,  0 
};

unsigned char E[72]={
		0x00, 0x01, 0x01, 0x01, 	
		0x01, 0xFF, 0xFF, 0xFF, 
		0xFF, 0x01, 0x01, 0x01, 	
		0x01, 0x01, 0x01, 0x01, 	
		0x01, 0x01, 0x01, 0x03, 
		0x07, 0x1F, 0x00, 0x00, 	
		 
		0x00, 0x00, 0x00, 0x00, 
		0x00, 0xFF, 0xFF, 0xFF, 
		0xFF, 0x08, 0x08, 0x08, 
		0x08, 0x08, 0x08, 0x08, 	
		0x08, 0x1C, 0x3E, 0xFF, 
		0x00, 0x00, 0x00, 0x00, 
		
		0x00, 0x80, 0x80, 0x80, 
		0xC0, 0xFF, 0xFF, 0xFF, 
		0xFF, 0x80, 0x80, 0x80, 
		0x80, 0x80, 0x80, 0x80, 
		0x80, 0x80, 0xC0, 0xC0,
		0xE0, 0xF0, 0x38, 0x0C
};

void init();

void main(void)
{      
	unsigned char i;
	unsigned char str[] = "www.eca.ir";
	// Micro initialize
        init();
        // Graphic Lcd initialize
        glcd_Init();
       	//  Draw bitmap to lcd
       	for(i =0; i<2;i++)
       	{
       		glcd_DrawF(pat1);
      		delay_ms(500);  
       		glcd_DrawF(pat2);
       		delay_ms(500);
       	}
	//
        // Print string "www.eca.ir" in middle of page 
      	glcd_Clear();         
       	glcd_Printf(1,40,str);  
       	glcd_DrawBmp(E,4,50,3,24);   
        while (1)
      	{};
}

void init()
{
  // Declare your local variables here

// Input/Output Ports initialization
// Port A initialization
// Func7=In Func6=In Func5=In Func4=In Func3=In Func2=In Func1=In Func0=In 
// State7=T State6=T State5=T State4=T State3=T State2=T State1=T State0=T 
PORTA=0x00;
DDRA=0x00;

// Port B initialization
// Func7=In Func6=In Func5=In Func4=In Func3=In Func2=In Func1=In Func0=In 
// State7=T State6=T State5=T State4=T State3=T State2=T State1=T State0=T 
PORTB=0x00;
DDRB=0x00;

// Port C initialization
// Func7=Out Func6=Out Func5=Out Func4=Out Func3=Out Func2=Out Func1=Out Func0=Out 
// State7=0 State6=0 State5=0 State4=0 State3=0 State2=0 State1=0 State0=0 
PORTC=0x00;
DDRC=0xFF;

// Port D initialization
// Func7=Out Func6=Out Func5=Out Func4=Out Func3=Out Func2=Out Func1=Out Func0=Out 
// State7=0 State6=0 State5=0 State4=0 State3=0 State2=0 State1=0 State0=0 
PORTD=0x00;
DDRD=0xFF;

// Timer/Counter 0 initialization
// Clock source: System Clock
// Clock value: Timer 0 Stopped
// Mode: Normal top=FFh
// OC0 output: Disconnected
TCCR0=0x00;
TCNT0=0x00;
OCR0=0x00;

// Timer/Counter 1 initialization
// Clock source: System Clock
// Clock value: Timer 1 Stopped
// Mode: Normal top=FFFFh
// OC1A output: Discon.
// OC1B output: Discon.
// Noise Canceler: Off
// Input Capture on Falling Edge
// Timer 1 Overflow Interrupt: Off
// Input Capture Interrupt: Off
// Compare A Match Interrupt: Off
// Compare B Match Interrupt: Off
TCCR1A=0x00;
TCCR1B=0x00;
TCNT1H=0x00;
TCNT1L=0x00;
ICR1H=0x00;
ICR1L=0x00;
OCR1AH=0x00;
OCR1AL=0x00;
OCR1BH=0x00;
OCR1BL=0x00;

// Timer/Counter 2 initialization
// Clock source: System Clock
// Clock value: Timer 2 Stopped
// Mode: Normal top=FFh
// OC2 output: Disconnected
ASSR=0x00;
TCCR2=0x00;
TCNT2=0x00;
OCR2=0x00;

// External Interrupt(s) initialization
// INT0: Off
// INT1: Off
// INT2: Off
MCUCR=0x00;
MCUCSR=0x00;

// Timer(s)/Counter(s) Interrupt(s) initialization
TIMSK=0x00;

// Analog Comparator initialization
// Analog Comparator: Off
// Analog Comparator Input Capture by Timer/Counter 1: Off
ACSR=0x80;
SFIOR=0x00;

}
